#ifndef _DEAkObservation_h
#define _DEAkObservation_h 1
// header file generated from DEAkObservation.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

#include "DEStar.h"
#include "ACG.h"
#include "ak_begin.H"
#include "akaroa.H"
#include "akaroa/engine/observation_analyser.H"
#include "akaroa/engine/ak_reporter.H"
#include "environment.H"
#include "ak_end.H"
#include "IntState.h"
#include "FloatState.h"

class DEAkObservation : public DEStar
{
public:
	DEAkObservation();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~DEAkObservation();
	MultiInDEPort input;
	OutDEPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState precision;
	FloatState confidence;
	IntState debug;
# line 111 "DEAkObservation.pl"
ObservationAnalyser *oa;
    AkReporter *reporter;
    int count;
    ACG *ak_rng;
    int stopFlag;
    double stopTime;

};
#endif
