defstar {
  name {PopGen}
  domain {DE}
  derivedFrom {RepeatStar}
  desc {
Population Generator:
Generates a predetermined number of events at time zero.
  }

  state {
    name {population}
    type {int}
    default {1}
    desc {The number of events to generate.}
  }

  state {
    name {value}
    type {float}
    default {1.0}
    desc {The value of each event.}
  }

  output {
    name {output}
    type {float}
  }

  go {
    for (int i = 1; i <= population; i++) {
      output.put(0.0) << value;
    }
  }
}
